# Requirements
​
First, install PyTorch meeting your environment (recommmended 2.00):
```bash
pip3 install torch==2.0.0+cu111 torchvision==0.15.0+cu111 torchaudio==2.0.0+cu111 -f https://download.pytorch.org/whl/cu111/torch_stable.html
```
​
Then, use the following command to install the rest of the libraries:
```bash
pip3 install numpy pandas sklearn matplotlib scipy copy pathlib pyod
```

Please refer to the attached ``environment.yaml`` for our detailed experimental settings.
```
conda env create -f environment.yaml
```


## Dataset
​
* The MSL dataset is available in the ``data`` folder in the form of CSV files, and they are divided into a training dataset and a test dataset.
​
* ``main.py`` will automatically load dataset for training and testing
​

## Train and test without pretrained model

* The model evaluation metrics will be printed and logged in the form of a log. In the case of training, the training logs will also be recorded alongside.
​
* If you provide ``False`` to the last parameter of the parser of ``run.sh`` as ``-use_pretrained``, the training and test will start without loading the pretrained model.

* Train and test the model(``proactive_anomaly_detection``) for the dataset ``MSL`` using GPU ``0`` (``cpu`` for cpu) without pretrained model(``False``)

```bash
run.sh 0 MSL proactive_anomaly_detection False
```


## Test with pretrained model
* Pretrained model is in the ``pretrained`` folder

* If you provide ``True`` to the last parameter of the parser, ``main.py`` will load pretrained model and skip training
​
* test the model(``proactive_anomaly_detection``) for the dataset ``MSL`` using GPU ``0`` (``cpu`` for cpu) with pretrained model(``True``)
```bash
run.sh 0 MSL proactive_anomaly_detection True
```
