gpu_n=$1
DATASET=$2
model=$3
use_pretrained=$4

seed=5
BATCH_SIZE=32
SLIDE_WIN=5
dim=64
out_layer_num=1
SLIDE_STRIDE=1
topk=15
out_layer_inter_dim=128
val_ratio=0.2
decay=0
EPOCH=60


if [[ "$gpu_n" == "cpu" ]]; then
    python -u main.py \
        -dataset $DATASET \
        -slide_stride $SLIDE_STRIDE \
        -slide_win $SLIDE_WIN \
        -batch $BATCH_SIZE \
        -epoch $EPOCH \
        -random_seed $seed \
        -decay $decay \
        -dim $dim \
        -out_layer_num $out_layer_num \
        -out_layer_inter_dim $out_layer_inter_dim \
        -decay $decay \
        -val_ratio $val_ratio \
        -topk $topk \
        -use_pretrained $use_pretrained \
        -device 'cpu'
else
    CUDA_VISIBLE_DEVICES=$gpu_n python -u main.py \
        -dataset $DATASET \
        -slide_stride $SLIDE_STRIDE \
        -slide_win $SLIDE_WIN \
        -batch $BATCH_SIZE \
        -epoch $EPOCH \
        -random_seed $seed \
        -decay $decay \
        -dim $dim \
        -out_layer_num $out_layer_num \
        -out_layer_inter_dim $out_layer_inter_dim \
        -decay $decay \
        -val_ratio $val_ratio \
        -topk $topk \
        -use_pretrained $use_pretrained \
        -model $model
fi